Bug 729761 - Mystique CaBiX-C2 -Support for new tuner
Summary: Mystique CaBiX-C2 -Support for new tuner
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 15
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Mauro Carvalho Chehab
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-10 18:35 UTC by Maximilian Imgrund
Modified: 2013-07-04 22:58 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-06 17:22:53 UTC


Attachments (Terms of Use)
Patch that should add support to new tuner. (1.11 KB, patch)
2011-08-10 18:35 UTC, Maximilian Imgrund
no flags Details | Diff

Description Maximilian Imgrund 2011-08-10 18:35:10 UTC
Created attachment 517673 [details]
Patch that should add support to new tuner.

Description of problem:
Some new tuner prevents the budget-av driver to load for the following version of the mystique CaBiX-C2 dvb-C card:
(lspci output)
04:00.0 Multimedia controller: Philips Semiconductors SAA7146 (rev 01)
        Subsystem: KNC One Device 0028
        Flags: bus master, medium devsel, latency 64, IRQ 11
        Memory at febffc00 (32-bit, non-prefetchable) [size=512]


Version-Release number of selected component (if applicable):
kernel up to 2.6.40-4.fc15


How reproducible:
always

Steps to Reproduce:
1. install card & boot
2. find no /dev/dvb device files.
3. modeprobe budget_av
4. still no /dev/dvb/* files
  
Actual results:
module is loaded, doesn't detect card

Expected results:
module is loaded, should provide /dev/dvb* files


Additional info:
There is a Patch around ( http://www.vdr-portal.de/board16-video-disk-recorder/board5-vdr-konfiguration/p1010445-linux-diff-file-f%C3%BCr-neue-mystique-cabix-c2/#post1010445 ) which quickly adds the changed component's id to the driver budget_av. However, I did not manage to compile the kernel with this modification (lack of time / other dependencies involved) but I suppose the patch should work...

If someone can provide 64-bit rpms I can test if they work for me.

(attached is the diff file from the link).

Kind regards,
Max Imgrund

Comment 1 Josh Boyer 2011-08-10 18:48:02 UTC
(In reply to comment #0)
> Created attachment 517673 [details]
> Patch that should add support to new tuner.

That patch has broken whitespace and no Signed-off-by line.

> There is a Patch around (
> http://www.vdr-portal.de/board16-video-disk-recorder/board5-vdr-konfiguration/p1010445-linux-diff-file-f%C3%BCr-neue-mystique-cabix-c2/#post1010445
> ) which quickly adds the changed component's id to the driver budget_av.
> However, I did not manage to compile the kernel with this modification (lack of
> time / other dependencies involved) but I suppose the patch should work...

If you'd like to work on getting the change upstream, then you could take the patch to the V4L/DVB maintainers.  Also, building your own kernel is detailed here:

https://fedoraproject.org/wiki/Building_a_custom_kernel

Comment 2 Josh Boyer 2012-06-06 17:22:53 UTC
Support for this was added with:

commit 93165b7774a04cf76bc46eb6c9181ab7a8b545d7
Author: Julian Scheel <julian@jusst.de>
Date:   Thu Jul 28 08:04:33 2011 -0300

    [media] Add support for new revision of KNC 1 DVB-C cards. Using tda10024 in
    
    Signed-off-by: Julian Scheel <julian@jusst.de>
    Signed-off-by: Mauro Carvalho Chehab <mchehab@redhat.com>

which went into the 3.2 kernel.  F15 already contains that patch.


Note You need to log in before you can comment on or make changes to this bug.